The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

help me .....yum error

Discussion in 'General Discussion' started by skyclick, Jun 29, 2009.

  1. skyclick

    skyclick Registered

    Joined:
    Jun 29, 2009
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    help me .....yum error


    Easy Apache update after save and build error


    !! The server's system package manager, 'YUM', failed. !!

    !!
    This is the command that failed: yum --exclude=kernel* -y install gettext automake19 libpng-devel openssl libpng-dev zlib-devel autoconf261 libidn-devel gmake libidn libXpm openssl-devel automake coreutils patch libstdc++-dev libltdl3-devel libltdl libopenssl0.9.7-static-devel libtool-ltdl-devel libXpm-devel sed libXpm-dev lsof krb5-dev flex glibc-dev expat-dev krb5-devel xorg-x11-devel libtool-ltdl libssl-dev pam-devel libopenssl0-devel zlib1-devel expat-devel libopenssl0-dev glibc-devel gcc-c++ expat zlib libstdc++ bison libstdc++-devel libjpeg-devel libtool-libltdl-devel libtool openssl-dev libopenssl0 libz-devel libjpeg-dev pam-dev fileutils libltdl-devel libopenssl0.9.7-devel e2fsprogs-devel make libX11-devel gd cpp xorg-x11-dev gcc ssl-dev autoconf lex !!

    !!
    Since EasyApache was unable to resolve it automatically you should: 1) Manually run the failed YUM command (shown above) via SSH 2) See if your particular error is addressed at EaError < AllDocumentation < TWiki 3) Resolve the YUM problem manually 4) Re-run EasyApache !!

    !! Please visit EaError < AllDocumentation < TWiki for help with this error. !!

    !! Restoring original working apache !!
     
  2. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    It tells you in the message what prerequisite packages you need to install from
    Yum so what does yum tell you directly when you try to install those?
     
  3. skyclick

    skyclick Registered

    Joined:
    Jun 29, 2009
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    no

    wich switch i intall from below list


    Rpm list

    yumx.noarch
    yum.plugin-pro
    yum.updateboot.noarch
    yum.fastmirror
    yum.prirorites
    yum.utils
     
  4. serversignature

    serversignature Well-Known Member

    Joined:
    Nov 26, 2007
    Messages:
    107
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Bangalore
    It is not quite clear what leads to this error at the moment. You can work around it by issuing yum clean all on the command line and then try again.

    Thanks,
     
  5. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    No? To What?

    I didn't ask you a "yes" or "no" question ...

    I asked you to tell me what yum reports when you attempt to
    manually run the yum command shown from your EasyApache screen.

    My reason for asking is so as to better determine more specifically
    what is failing when your EasyApache script tries to install the prerequisite
    files and libraries that are apparently missing from your server using yum.
    When you try to run the update yourself, you should be able to see more
    detailed messages about what failed that wasn't shown on the EasyApache
    output screen by itself. Short of that, you could also go into the /var/log
    folder on your server and review the "yum.log" for the same information.

    Once you know what exactly is failing, it should be a fairly simple matter
    to get your server updated with what it needs.

    Wouldn't hurt to do basic updates to get general missing libraries, etc:
    Code:
    # yum upgrade
    
    # cpan
    cpan>  install CPAN
    cpan>  reload CPAN
    cpan>  exit
    
    # /scripts/checkperlmodules
    
    A few basics core items often missing from new Cpanel server installs:
    (While not an all inclusive list, many of these are often missing on new installs)
    Code:
    yum install gcc* glib* libgcc* libgcrypt* libmcrypt* libjpeg* libpng* giflib* libexif* autoconf coreutils patch
    You can update yum with any or all those addons if you wish ...

    That's not the issue at hand but won't hurt anything to add those.

    If you want help getting EasyApache working and getting your base
    server environment built, just let me know via private message and
    I'd be glad to give you a more one on one helping hand with that.
     
    #5 Spiral, Jun 30, 2009
    Last edited: Jun 30, 2009
Loading...

Share This Page